FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::evaluate::TypeParamInquiry< KIND > Class Template Reference

## Public Types
using | Result = Type< TypeCategory::Integer, KIND >

## Public Member Functions
| TypeParamInquiry (NamedEntity &&x, const Symbol &param)
| TypeParamInquiry (std::optional< NamedEntity > &&x, const Symbol &param)
const std::optional< NamedEntity > & | base () const
std::optional< NamedEntity > & | base ()
const Symbol & | parameter () const
bool | operator== (const TypeParamInquiry &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Static Public Member Functions
static constexpr int | Rank ()

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp